vigra - SeedOptions Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SeedOptions Class Reference Superpixel Creation |

Options object for generateWatershedSeeds(). More...

`#include <vigra/watersheds.hxx>`

## Public Member Functions
SeedOptions & | extendedMinima ()
SeedOptions & | levelSets ()
SeedOptions & | levelSets (double threshold)
SeedOptions & | minima ()
| SeedOptions ()
| Construct default options object. More...
SeedOptions & | threshold (double threshold)

## Detailed Description

Options object for generateWatershedSeeds().

Usage:

#include <vigra/watersheds.hxx>
Namespace: vigra

MultiArray<2, float> boundary_indicator(w, h);
MultiArray<2, int> seeds(boundary_indicator.shape());
// detect all minima in 'boundary_indicator' that are below gray level 22
generateWatershedSeeds(boundary_indicator, seeds,
SeedOptions().minima().threshold(22.0));

Examples:
  watershed.cxx.

## Constructor & Destructor Documentation

SeedOptions | ( |  | ) |

Construct default options object.

Defaults are: detect minima without thresholding (i.e. all minima).

## Member Function Documentation

SeedOptions& minima | ( |  | ) |

Generate seeds at minima.

Default: true

SeedOptions& extendedMinima | ( |  | ) |

Generate seeds at minima and minimal plateaus.

Default: false

SeedOptions& levelSets | ( |  | ) |

Generate seeds as level sets.

Note that you must also set a threshold to define which level set is to be used.
Default: false

SeedOptions& levelSets | ( | double | threshold | ) |

Generate seeds as level sets at given threshold.

Equivalent to `SeedOptions().levelSet().threshold(threshold)`
Default: false

SeedOptions& threshold | ( | double | threshold | ) |

Set threshold.

The threshold will be used by both the minima and level set variants of seed generation.
Default: no thresholding

The documentation for this class was generated from the following file:

- vigra/watersheds.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Thu Mar 17 2016)